Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr.ha
Class HAJCRCMS

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.cms.impl.jcr.JCRCMS
                      org.jboss.portal.cms.impl.jcr.ha.HAJCRCMS

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, CMS, org.jboss.portal.jems.ha.HASingletonInvokerMBean.Callback, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class HAJCRCMS

extends JCRCMS
implements org.jboss.portal.jems.ha.HASingletonInvokerMBean.Callback

Extend the JCR CMS and make it run as an ha singleton.

Version:
  $Revision: 7163 $
Author:
  Julien Viet, Thomas Heute

Field Summary

Fields inherited from class org.jboss.portal.cms.impl.jcr.JCRCMS
`applyUISecurityFilter, turnOffWorkflow, userInfo`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`HAJCRCMS()`

Method Summary
`java.lang.Object` | `execute(Command cmd)` Execute the command.
`java.lang.String` | `getDisplayName()`
`java.lang.Object` | `invoke(java.lang.String methodName, java.lang.Class[] types, java.lang.Object[] args)`
`void` | `setInvoker(org.jboss.portal.jems.ha.HASingletonInvoker invoker)`
`void` | `startService()` CMS Start
`void` | `startSingleton()`
`void` | `stopService()` Shuts down the repo and unregisters it
`void` | `stopSingleton()`

Methods inherited from class org.jboss.portal.cms.impl.jcr.JCRCMS
`contentExists, createContent, disableUISecurityFilter, enableUISecurityFilter, getApprovePublishWorkflow, getAuthorizationManager, getCommandFactory, getConfig, getDefaultContentLocation, getDefaultLocale, getDoChecking, getHomeDir, getJCR, getJNDIName, getRepository, getRepositoryName, getStackFactory, getUserInfo, isUISecurityFilterActive, isWorkflowActivated, setApprovePublishWorkflow, setAuthorizationManager, setConfig, setDefaultContentLocation, setDefaultLocale, setDoChecking, setHomeDir, setJNDIName, setRepositoryName, setStackFactory, startJCR, stopJCR, turnOffWorkflow, turnOnWorkflow`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HAJCRCMS

    public HAJCRCMS()

Method Detail

### execute

    public java.lang.Object execute(Command cmd)
                             throws CMSException

  Execute the command.

  Specified by:
    `execute` in interface `CMS`
  Overrides:
    `execute` in class `JCRCMS`
  Throws:
    `CMSException`

### startService

    public void startService()
                      throws java.lang.Exception

  Description copied from class: `JCRCMS`
  CMS Start

  Overrides:
    `startService` in class `JCRCMS`
  Throws:
    `java.lang.Exception`

### stopService

    public void stopService()

  Description copied from class: `JCRCMS`
  Shuts down the repo and unregisters it

  Overrides:
    `stopService` in class `JCRCMS`

### setInvoker

    public void setInvoker(org.jboss.portal.jems.ha.HASingletonInvoker invoker)

  Specified by:
    `setInvoker` in interface `org.jboss.portal.jems.ha.HASingletonInvokerMBean.Callback`

### invoke

    public java.lang.Object invoke(java.lang.String methodName,
                                   java.lang.Class[] types,
                                   java.lang.Object[] args)
                            throws CMSException

  Specified by:
    `invoke` in interface `org.jboss.portal.jems.ha.HASingletonInvokerMBean.Callback`
  Throws:
    `CMSException`

### getDisplayName

    public java.lang.String getDisplayName()

  Specified by:
    `getDisplayName` in interface `org.jboss.portal.jems.ha.HASingletonInvokerMBean.Callback`

### startSingleton

    public void startSingleton()

  Specified by:
    `startSingleton` in interface `org.jboss.portal.jems.ha.HASingletonInvokerMBean.Callback`

### stopSingleton

    public void stopSingleton()

  Specified by:
    `stopSingleton` in interface `org.jboss.portal.jems.ha.HASingletonInvokerMBean.Callback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.